#
# spec file for package akonadi-mime
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           akonadi-mime
Version:        16.08.2
Release:        1.1
%define kf5_version 5.23.0
Summary:        KDE PIM Libraries
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         akonadi-mime-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  kmime-devel
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kdbusaddons-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  kitemmodels-devel >= %{kf5_version}
BuildRequires:  kxmlgui-devel >= %{kf5_version}
BuildRequires:  akonadi-server-devel >= 16.08.2
BuildRequires:  libxslt-devel
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRequires:  shared-mime-info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the basic packages for KDE PIM applications.

%package -n libKF5AkonadiMime5
Summary:        KDE PIM Libraries: Build Environment
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description  -n libKF5AkonadiMime5
This package contains all necessary include files and libraries needed
to develop KDE PIM applications.

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       libKF5AkonadiMime5 = %{version}
Requires:       akonadi-server-devel

%description devel
This package contains all necessary include files and libraries needed
to develop KDE PIM applications.

%prep
%setup -q -n akonadi-mime-%{version}

%build
%cmake_kf5 -d build -- -DKF5_INCLUDE_INSTALL_DIR=%_kf5_includedir
%make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKF5AkonadiMime5 -p /sbin/ldconfig

%postun -n libKF5AkonadiMime5 -p /sbin/ldconfig

%files -n libKF5AkonadiMime5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5AkonadiMime.so.*

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/specialmailcollections.kcfg
%{_libdir}/qt5/mkspecs/modules/qt_AkonadiMime.pri
%{_datadir}/mime/packages/x-vnd.kde.contactgroup.xml

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/cmake/KF5AkonadiMime/
%{_kf5_libdir}/libKF5AkonadiMime.so
%dir %{_kf5_includedir}/Akonadi
%dir %{_kf5_includedir}/akonadi
%{_kf5_includedir}/Akonadi/KMime/
%{_kf5_includedir}/akonadi/kmime/
%{_kf5_includedir}/akonadi-mime_version.h

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 jengelh@inai.de
- Update RPM group classifcation. Drop unused macros.
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Tue Aug  9 2016 wbauer@tmo.at
- Cleanup build requirements
- Drop no longer respected QTWEBENGINE_SUPPORT_OPTION from cmake
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
